import greenfoot.*;

/**
 * Write a description of class Bonus here.
 * 
 * @author Friedrich Tempel und Luk Walther 
 * 
 */
public class Bonus extends Creature
{
    public void act()
    {
        
        move(4);
        randomTurn();
        turnAtWall();
        turnAtEdge();
    }
    
    /**
     * Mit einer 10% probability, Drehung nach links oder rechts.
     */
    public void randomTurn()
    {
        if ( Greenfoot.getRandomNumber(100) < 10 )
        {
            turn( Greenfoot.getRandomNumber(40)-20 );
        }        
    }

    /**
     * Checkt, ob die Krte an der Wand ist und dreht sich weg.
     */
    public void turnAtWall()
    {
            if ( isTouching(Wall.class) == true )
            {
                turn(7);
            }    
    }

    /**
     * Wenn der Rand der Welt erreicht ist, dreht sich der Bonus ein wenig.
     */
    public void turnAtEdge()
    {
        if (atWorldEdge() == true)
        {
            turn(7);
        }
    }
}
