import greenfoot.*;

/**
 * 
 * @author Friedrich Tempel und Luk Walther
 * 
 * 
 */
public class Creature extends Actor
{
    /**
     * Testet, ob wir uns in der Nhe der Rnder der Welt befinden. 
     * Wenn ja, wird true zurckgegeben.
     */
    public boolean atWorldEdge()
    {
        if(getX() < 10 || getX() > getWorld().getWidth() - 10)
            return true;
        if(getY() < 10 || getY() > getWorld().getHeight() - 10)
            return true;
        else
            return false;
    }
    
    
    /**
     * 
     * Wenn ein object der Klasse 'clss' gesehen wird, wird true zurckgegeben
     * False, wenn es hier kein solches object gibt.
     * 
     */
    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }

    
    /**
     * Versucht ein object der Klasse 'clss' zu essen.
     * Das klappt nur, wenn sich auch ein solch ein object an der Stelle befindet.
     * Ansonsten macht diese Methode nichts.
     */
    public void eat(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }
}